Subject: Re: [PATCH 3/3] notes: don't indent empty lines

From: Junio C Hamano <[email-masked]>
Date: Mon, 30 Aug 2021 10:56:16 -0700

Eric Sunshine <[email-masked]> writes:

> The trailing whitespace is unusual within the Git sphere, as well as
> unsightly if you happen to have your editor configured to highlight
> trailing whitespace, and just "feels" sloppy.

But we are discussing this in the context of format-patch output,
where patches that change lines near a blank line will have a line
with a single SP on it in common context ;-)

I do not feel very strongly either way, though.

> [1]: I suppose mechanical extraction of notes may be one such
> scenario, allowing for simple-minded (not necessarily robust)
> extraction mechanics; i.e. start extracting after the /^Notes:$/ line
> and stop at the first line not indented with four blanks.

Yup, that was what I had in mind.